## simutrans 100.0+ds1

=== Makefile ===
CONFIG ?= config.default
-include $(CONFIG)


BACKENDS      = allegro gdi sdl mixer_sdl x11
COLOUR_DEPTHS = 8 16
OSTYPES       = beos cygwin freebsd linux mingw mac

ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
  $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
endif

ifeq ($(findstring $(COLOUR_DEPTH), $(COLOUR_DEPTHS)),)
  $(error Unkown COLOUR_DEPTH "$(COLOUR_DEPTH)", must be one of "$(COLOUR_DEPTHS)")
endif

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif


ifeq ($(BACKEND), x11)
  $(warning ATTENTION: X11 backend is broken)
endif


ifeq ($(OSTYPE),beos)
  STD_LIBS ?= -lz
endif

ifeq ($(OSTYPE),freebsd)
  STD_LIBS ?= -lz
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C
  STD_LIBS ?= -lz -framework SDL -framework Cocoa
endif

ifeq ($(OSTYPE),linux)
  STD_LIBS ?= -lz
endif

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS ?= -lgdi32 -lwinmm -lz
endif

ifeq ($(OSTYPE),mingw)
  SOURCES += simsys_w32_png.cc
  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
  STD_LIBS ?= -lz -lmingw32 -lgdi32 -lwinmm
endif

ALLEGRO_CONFIG ?= allegro-config
SDL_CONFIG     ?= sdl-config


ifneq ($(OPTIMISE),)
  ifneq ($(PROFILE),)
    CFLAGS   += -O3 -minline-all-stringops
    CXXFLAGS += -O3
  else
    CFLAGS   += -O3 -fomit-frame-pointer
    CXXFLAGS += -O3 -fomit-frame-pointer
  endif
  ifneq ($(OSTYPE),mac)
    CFLAGS   += -minline-all-stringops
    LDFLAGS += -ffunctions-sections
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg
  CXXFLAGS += -pg
  LDFLAGS  += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)


SOURCES += bauer/brueckenbauer.cc
SOURCES += bauer/fabrikbauer.cc
SOURCES += bauer/hausbauer.cc
SOURCES += bauer/tunnelbauer.cc
SOURCES += bauer/vehikelbauer.cc
SOURCES += bauer/warenbauer.cc
SOURCES += bauer/wegbauer.cc
SOURCES += besch/bild_besch.cc
SOURCES += besch/bruecke_besch.cc
SOURCES += besch/grund_besch.cc
SOURCES += besch/haus_besch.cc
SOURCES += besch/reader/bridge_reader.cc
SOURCES += besch/reader/building_reader.cc
SOURCES += besch/reader/citycar_reader.cc
SOURCES += besch/reader/crossing_reader.cc
SOURCES += besch/reader/factory_reader.cc
SOURCES += besch/reader/good_reader.cc
SOURCES += besch/reader/ground_reader.cc
SOURCES += besch/reader/groundobj_reader.cc
SOURCES += besch/reader/image_reader.cc
SOURCES += besch/reader/imagelist2d_reader.cc
SOURCES += besch/reader/imagelist_reader.cc
SOURCES += besch/reader/obj_reader.cc
SOURCES += besch/reader/pedestrian_reader.cc
SOURCES += besch/reader/roadsign_reader.cc
SOURCES += besch/reader/root_reader.cc
SOURCES += besch/reader/sim_reader.cc
SOURCES += besch/reader/skin_reader.cc
SOURCES += besch/reader/sound_reader.cc
SOURCES += besch/reader/text_reader.cc
SOURCES += besch/reader/tree_reader.cc
SOURCES += besch/reader/tunnel_reader.cc
SOURCES += besch/reader/vehicle_reader.cc
SOURCES += besch/reader/way_obj_reader.cc
SOURCES += besch/reader/way_reader.cc
SOURCES += besch/reader/xref_reader.cc
SOURCES += besch/sound_besch.cc
SOURCES += besch/tunnel_besch.cc
SOURCES += besch/ware_besch.cc
SOURCES += boden/boden.cc
SOURCES += boden/brueckenboden.cc
SOURCES += boden/fundament.cc
SOURCES += boden/grund.cc
SOURCES += boden/monorailboden.cc
SOURCES += boden/tunnelboden.cc
SOURCES += boden/wasser.cc
SOURCES += boden/wege/kanal.cc
SOURCES += boden/wege/maglev.cc
SOURCES += boden/wege/monorail.cc
SOURCES += boden/wege/narrowgauge.cc
SOURCES += boden/wege/runway.cc
SOURCES += boden/wege/schiene.cc
SOURCES += boden/wege/strasse.cc
SOURCES += boden/wege/weg.cc
SOURCES += dataobj/crossing_logic.cc
SOURCES += dataobj/dingliste.cc
SOURCES += dataobj/einstellungen.cc
SOURCES += dataobj/fahrplan.cc
SOURCES += dataobj/freelist.cc
SOURCES += dataobj/koord.cc
SOURCES += dataobj/koord3d.cc
SOURCES += dataobj/loadsave.cc
SOURCES += dataobj/marker.cc
SOURCES += dataobj/powernet.cc
SOURCES += dataobj/ribi.cc
SOURCES += dataobj/route.cc
SOURCES += dataobj/scenario.cc
SOURCES += dataobj/tabfile.cc
SOURCES += dataobj/translator.cc
SOURCES += dataobj/umgebung.cc
SOURCES += dataobj/warenziel.cc
SOURCES += dings/baum.cc
SOURCES += dings/bruecke.cc
SOURCES += dings/crossing.cc
SOURCES += dings/field.cc
SOURCES += dings/gebaeude.cc
SOURCES += dings/groundobj.cc
SOURCES += dings/label.cc
SOURCES += dings/leitung2.cc
SOURCES += dings/pillar.cc
SOURCES += dings/roadsign.cc
SOURCES += dings/signal.cc
SOURCES += dings/tunnel.cc
SOURCES += dings/wayobj.cc
SOURCES += dings/wolke.cc
SOURCES += dings/zeiger.cc
SOURCES += font.cc
SOURCES += freight_list_sorter.cc
SOURCES += gui/banner.cc
SOURCES += gui/baum_edit.cc
SOURCES += gui/citybuilding_edit.cc
SOURCES += gui/citylist_frame_t.cc
SOURCES += gui/citylist_stats_t.cc
SOURCES += gui/climates.cc
SOURCES += gui/colors.cc
SOURCES += gui/components/gui_button.cc
SOURCES += gui/components/gui_chart.cc
SOURCES += gui/components/gui_combobox.cc
SOURCES += gui/components/gui_flowtext.cc
SOURCES += gui/components/gui_image_list.cc
SOURCES += gui/components/gui_label.cc
SOURCES += gui/components/gui_scrollbar.cc
SOURCES += gui/components/gui_scrolled_list.cc
SOURCES += gui/components/gui_scrollpane.cc
SOURCES += gui/components/gui_speedbar.cc
SOURCES += gui/components/gui_tab_panel.cc
SOURCES += gui/components/gui_textarea.cc
SOURCES += gui/components/gui_textinput.cc
SOURCES += gui/components/gui_world_view_t.cc
SOURCES += gui/convoi_detail_t.cc
SOURCES += gui/convoi_filter_frame.cc
SOURCES += gui/convoi_frame.cc
SOURCES += gui/convoi_info_t.cc
SOURCES += gui/curiosity_edit.cc
SOURCES += gui/curiositylist_frame_t.cc
SOURCES += gui/curiositylist_stats_t.cc
SOURCES += gui/depot_frame.cc
SOURCES += gui/extend_edit.cc
SOURCES += gui/fabrik_info.cc
SOURCES += gui/factory_edit.cc
SOURCES += gui/factorylist_frame_t.cc
SOURCES += gui/factorylist_stats_t.cc
SOURCES += gui/fahrplan_gui.cc
SOURCES += gui/goods_frame_t.cc
SOURCES += gui/goods_stats_t.cc
SOURCES += gui/ground_info.cc
SOURCES += gui/gui_container.cc
SOURCES += gui/gui_convoiinfo.cc
SOURCES += gui/gui_frame.cc
SOURCES += gui/halt_detail.cc
SOURCES += gui/halt_info.cc
SOURCES += gui/halt_list_filter_frame.cc
SOURCES += gui/halt_list_frame.cc
SOURCES += gui/halt_list_stats.cc
SOURCES += gui/help_frame.cc
SOURCES += gui/jump_frame.cc
SOURCES += gui/karte.cc
SOURCES += gui/kennfarbe.cc
SOURCES += gui/label_frame.cc
SOURCES += gui/line_management_gui.cc
SOURCES += gui/load_relief_frame.cc
SOURCES += gui/loadsave_frame.cc
SOURCES += gui/map_frame.cc
SOURCES += gui/message_frame_t.cc
SOURCES += gui/message_option_t.cc
SOURCES += gui/message_stats_t.cc
SOURCES += gui/messagebox.cc
SOURCES += gui/money_frame.cc
SOURCES += gui/optionen.cc
SOURCES += gui/pakselector.cc
SOURCES += gui/player_frame_t.cc
SOURCES += gui/savegame_frame.cc
SOURCES += gui/scenario_frame.cc
SOURCES += gui/schedule_list.cc
SOURCES += gui/sound_frame.cc
SOURCES += gui/sprachen.cc
SOURCES += gui/stadt_info.cc
SOURCES += gui/thing_info.cc
SOURCES += gui/welt.cc
SOURCES += gui/werkzeug_waehler.cc
SOURCES += old_blockmanager.cc
SOURCES += simcity.cc
SOURCES += simconvoi.cc
SOURCES += simdebug.cc
SOURCES += simdepot.cc
SOURCES += simdings.cc
SOURCES += simevent.cc
SOURCES += simfab.cc
SOURCES += simhalt.cc
SOURCES += simintr.cc
SOURCES += simio.cc
SOURCES += simline.cc
SOURCES += simlinemgmt.cc
SOURCES += simmain.cc
SOURCES += simmem.cc
SOURCES += simmenu.cc
SOURCES += simmesg.cc
SOURCES += simplan.cc
SOURCES += simplay.cc
SOURCES += simskin.cc
SOURCES += simsound.cc
SOURCES += simticker.cc
SOURCES += simtools.cc
SOURCES += simview.cc
SOURCES += simware.cc
SOURCES += simwerkz.cc
SOURCES += simwin.cc
SOURCES += simworld.cc
SOURCES += sucher/platzsucher.cc
SOURCES += tpl/debug_helper.cc
SOURCES += unicode.cc
SOURCES += utils/cbuffer_t.cc
SOURCES += utils/cstring_t.cc
SOURCES += utils/log.cc
SOURCES += utils/searchfolder.cc
SOURCES += utils/simstring.c
SOURCES += vehicle/movingobj.cc
SOURCES += vehicle/simpeople.cc
SOURCES += vehicle/simvehikel.cc
SOURCES += vehicle/simverkehr.cc

SOURCES += simgraph$(COLOUR_DEPTH).cc


ifeq ($(BACKEND),allegro)
  SOURCES  += simsys_d.c
  SOURCES += sound/allegro_sound.c
  SOURCES += music/allegro_midi.c
  ifeq ($(ALLEGRO_CONFIG),)
    ALLEGRO_CFLAGS  :=
    ALLEGRO_LDFLAGS := -lalleg
  else
    ALLEGRO_CFLAGS  := $(shell $(ALLEGRO_CONFIG) --cflags)
    ALLEGRO_LDFLAGS := $(shell $(ALLEGRO_CONFIG) --libs)
  endif
  ALLEGRO_CFLAGS    += -DUSE_SOFTPOINTER
  CFLAGS   += $(ALLEGRO_CFLAGS)
  CXXFLAGS += $(ALLEGRO_CFLAGS)
  LIBS     += $(ALLEGRO_LDFLAGS)
endif


ifeq ($(BACKEND),gdi)
  SOURCES += simsys_w$(COLOUR_DEPTH).c
  SOURCES += music/w32_midi.c
  SOURCES += sound/win32_sound.c
  STD_LIBS ?=  -lunicows
endif


ifeq ($(BACKEND),sdl)
  SOURCES  += simsys_s.c
  CFLAGS   += -DUSE_16BIT_DIB
  CXXFLAGS += -DUSE_16BIT_DIB
  SOURCES  += sound/sdl_sound.cc
  ifeq ($(findstring $(OSTYPE), cygwin mingw),)
    SOURCES += music/no_midi.cc
  else
    SOURCES += music/w32_midi.c
  endif
  ifeq ($(SDL_CONFIG),)
    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
    SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
  else
    SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
    SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
  endif

  CFLAGS   += $(SDL_CFLAGS)
  CXXFLAGS += $(SDL_CFLAGS)
  LIBS     += $(SDL_LDFLAGS)
endif


ifeq ($(BACKEND),mixer_sdl)
  SOURCES  += simsys_s.c
  SOURCES += sound/sdl_mixer_sound.cc
  SOURCES += music/sdl_midi.cc
  CFLAGS   += -DUSE_16BIT_DIB
  CXXFLAGS   += -DUSE_16BIT_DIB
  ifeq ($(SDL_CONFIG),)
    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
    SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
  else
    SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
    SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
  endif
  CFLAGS   += $(SDL_CFLAGS)
  CXXFLAGS += $(SDL_CFLAGS)
  LIBS     += $(SDL_LDFLAGS)
  LIBS     += -lSDL_mixer
endif

ifeq ($(BACKEND),x11)
  SOURCES  += simsys_x$(COLOUR_DEPTH).c
  SOURCES += sound/no_sound.cc
  SOURCES += music/no_midi.cc
  CFLAGS   += -I/usr/X11R6/include
  CXXFLAGS += -I/usr/X11R6/include
  LIBS     += -L/usr/X11R6/lib/ -lX11 -lXext
endif


ifneq ($(findstring $(OSTYPE), cygwin mingw),)
  SOURCES += simres.rc
  WINDRES ?= windres
endif


PROG = sim


include common.mk


makeobj_prog:
	$(MAKE) -e -C makeobj FLAGS="$(FLAGS)"

=== makeobj/Makefile ===

#OSTYPE = beos
#OSTYPE = cygwin
#OSTYPE = freebsd
#OSTYPE = linux
OSTYPE = mingw

LN= $(CC)

ifeq ($(OSTYPE),mingw)
LDLIBS=-lmingw32 -lpng -lz -lstdc++
CFLAGS= -O -g
CXXFLAGS= -O -g
endif

ifeq ($(OSTYPE),linux)
LDLIBS=-lpng -lz -lstdc++ -lm
CFLAGS   = -O
CXXFLAGS = -O
endif

ifeq ($(OSTYPE),beos)
LDLIBS=-lpng -lz -lstdc++
CFLAGS=-O
CXXFLAGS=-O

endif

ifdef FLAGS
  CFLAGS   += $(FLAGS)
  CXXFLAGS += $(FLAGS)
endif

CXXFLAGS += -DMAKEOBJ

SOURCES=makeobj.cc

OBJECTS=makeobj.o ../besch/writer/obj_node.o \
 ../simmem.o \
 ../dataobj/freelist.o \
 ../dataobj/tabfile.o ../utils/cstring_t.o ../utils/simstring.o ../utils/searchfolder.o \
 ../tpl/debug_helper.o \
 ../utils/dr_rdpng.o \
 ../besch/writer/building_writer.o ../besch/writer/good_writer.o \
 ../besch/writer/skin_writer.o ../besch/writer/image_writer.o \
 ../besch/writer/imagelist2d_writer.o ../besch/writer/imagelist_writer.o \
 ../besch/writer/obj_writer.o ../besch/writer/root_writer.o \
 ../besch/writer/xref_writer.o ../besch/writer/text_writer.o \
 ../besch/writer/tree_writer.o ../besch/writer/factory_writer.o \
 ../besch/writer/bridge_writer.o ../besch/writer/vehicle_writer.o \
 ../besch/writer/way_writer.o ../besch/writer/way_obj_writer.o\
 ../besch/writer/ground_writer.o  ../besch/writer/sound_writer.o \
 ../besch/writer/crossing_writer.o  ../besch/writer/tunnel_writer.o \
 ../besch/writer/citycar_writer.o  ../besch/writer/pedestrian_writer.o \
 ../besch/writer/sim_writer.o ../besch/writer/roadsign_writer.o \
 ../besch/writer/groundobj_writer.o \
 ../besch/writer/get_waytype.o ../besch/writer/get_climate.o \
 ../simdebug.o ../utils/log.o ../simtools.o

all: makeobj

makeobj: $(OBJECTS)
	$(LN) $(CXXFLAGS) $(LDFLAGS) -o makeobj $(OBJECTS) $(LDLIBS)

clean:
	rm -f $(OBJECTS)

depend:
	makedepend $(SOURCES)

dep: depdep


depdep: $(SOURCES)
	$(CC) -M $^ > .depend


ifeq (.depend,$(wildcard .depend))
    # include .depend only if it exists
include .depend
endif

## simutrans 102.0

=== Makefile ===
--- 
+++ 
@@ -33,13 +33,15 @@
 endif
 
 ifeq ($(OSTYPE),mac)
-  CFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz -framework SDL -framework Cocoa
+  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
+  CXXFLAGS   += -DUSE_HW -DUSE_C
+  STD_LIBS ?= -lz
 endif
 
 ifeq ($(OSTYPE),linux)
   STD_LIBS ?= -lz
 endif
+
 
 ifeq ($(OSTYPE),cygwin)
   OS_INC   ?= -I/usr/include/mingw
@@ -50,7 +52,11 @@
 ifeq ($(OSTYPE),mingw)
   SOURCES += simsys_w32_png.cc
   OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz -lmingw32 -lgdi32 -lwinmm
+  STD_LIBS ?= -lz
+  ifeq ($(BACKEND),gdi)
+    STD_LIBS +=  -lunicows
+  endif
+  STD_LIBS += -lmingw32 -lgdi32 -lwinmm
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -200,6 +206,7 @@
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
 SOURCES += gui/components/gui_label.cc
+SOURCES += gui/components/gui_numberinput.cc
 SOURCES += gui/components/gui_scrollbar.cc
 SOURCES += gui/components/gui_scrolled_list.cc
 SOURCES += gui/components/gui_scrollpane.cc
@@ -216,6 +223,7 @@
 SOURCES += gui/curiositylist_frame_t.cc
 SOURCES += gui/curiositylist_stats_t.cc
 SOURCES += gui/depot_frame.cc
+SOURCES += gui/enlarge_map_frame_t.cc
 SOURCES += gui/extend_edit.cc
 SOURCES += gui/fabrik_info.cc
 SOURCES += gui/factory_edit.cc
@@ -237,7 +245,9 @@
 SOURCES += gui/jump_frame.cc
 SOURCES += gui/karte.cc
 SOURCES += gui/kennfarbe.cc
-SOURCES += gui/label_frame.cc
+SOURCES += gui/label_info.cc
+SOURCES += gui/labellist_frame_t.cc
+SOURCES += gui/labellist_stats_t.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
 SOURCES += gui/loadsave_frame.cc
@@ -256,9 +266,14 @@
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
+SOURCES += gui/station_building_select.cc
 SOURCES += gui/thing_info.cc
 SOURCES += gui/welt.cc
 SOURCES += gui/werkzeug_waehler.cc
+SOURCES += player/ai.cc
+SOURCES += player/ai_goods.cc
+SOURCES += player/ai_passenger.cc
+SOURCES += player/simplay.cc
 SOURCES += old_blockmanager.cc
 SOURCES += simcity.cc
 SOURCES += simconvoi.cc
@@ -277,7 +292,6 @@
 SOURCES += simmenu.cc
 SOURCES += simmesg.cc
 SOURCES += simplan.cc
-SOURCES += simplay.cc
 SOURCES += simskin.cc
 SOURCES += simsound.cc
 SOURCES += simticker.cc
@@ -294,7 +308,7 @@
 SOURCES += utils/cstring_t.cc
 SOURCES += utils/log.cc
 SOURCES += utils/searchfolder.cc
-SOURCES += utils/simstring.c
+SOURCES += utils/simstring.cc
 SOURCES += vehicle/movingobj.cc
 SOURCES += vehicle/simpeople.cc
 SOURCES += vehicle/simvehikel.cc
@@ -304,9 +318,9 @@
 
 
 ifeq ($(BACKEND),allegro)
-  SOURCES  += simsys_d.c
-  SOURCES += sound/allegro_sound.c
-  SOURCES += music/allegro_midi.c
+  SOURCES  += simsys_d.cc
+  SOURCES += sound/allegro_sound.cc
+  SOURCES += music/allegro_midi.cc
   ifeq ($(ALLEGRO_CONFIG),)
     ALLEGRO_CFLAGS  :=
     ALLEGRO_LDFLAGS := -lalleg
@@ -322,26 +336,36 @@
 
 
 ifeq ($(BACKEND),gdi)
-  SOURCES += simsys_w$(COLOUR_DEPTH).c
-  SOURCES += music/w32_midi.c
-  SOURCES += sound/win32_sound.c
-  STD_LIBS ?=  -lunicows
+  SOURCES += simsys_w$(COLOUR_DEPTH).cc
+  SOURCES += music/w32_midi.cc
+  SOURCES += sound/win32_sound.cc
 endif
 
 
 ifeq ($(BACKEND),sdl)
-  SOURCES  += simsys_s.c
+  SOURCES  += simsys_s.cc
   CFLAGS   += -DUSE_16BIT_DIB
   CXXFLAGS += -DUSE_16BIT_DIB
-  SOURCES  += sound/sdl_sound.cc
-  ifeq ($(findstring $(OSTYPE), cygwin mingw),)
-    SOURCES += music/no_midi.cc
+  ifeq ($(OSTYPE),mac)
+    # Core Audio (Quicktime) base sound system routines
+    SOURCES += sound/core-audio_sound.mm
+    SOURCES += music/core-audio_midi.mm
   else
-    SOURCES += music/w32_midi.c
+    SOURCES  += sound/sdl_sound.cc
+    ifeq ($(findstring $(OSTYPE), cygwin mingw),)
+	    SOURCES += music/no_midi.cc
+    else
+      SOURCES += music/w32_midi.cc
+    endif
   endif
   ifeq ($(SDL_CONFIG),)
-    SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
-    SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
+    ifeq ($(OSTYPE),mac)
+      SDL_CFLAGS  := -I/System/Libraries/Frameworks/SDL/Headers -Dmain=SDL_main
+      SDL_LDFLAGS := -framework SDL -framework Cocoa -I/System/Libraries/Frameworks/SDL/Headers SDLMain.m
+    else
+      SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
+      SDL_LDFLAGS := -lSDLmain -lSDL -mwindows
+    endif
   else
     SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
@@ -354,7 +378,7 @@
 
 
 ifeq ($(BACKEND),mixer_sdl)
-  SOURCES  += simsys_s.c
+  SOURCES  += simsys_s.cc
   SOURCES += sound/sdl_mixer_sound.cc
   SOURCES += music/sdl_midi.cc
   CFLAGS   += -DUSE_16BIT_DIB
@@ -388,7 +412,7 @@
 endif
 
 
-PROG = sim
+PROG ?= sim
 
 
 include common.mk

=== makeobj/Makefile ===
--- 
+++ 
@@ -8,22 +8,27 @@
 LN= $(CC)
 
 ifeq ($(OSTYPE),mingw)
-LDLIBS=-lmingw32 -lpng -lz -lstdc++
-CFLAGS= -O -g
-CXXFLAGS= -O -g
+  LDLIBS=-lmingw32 -lpng -lz -lstdc++
+  CFLAGS= -O -g
+  CXXFLAGS= -O -g
 endif
 
 ifeq ($(OSTYPE),linux)
-LDLIBS=-lpng -lz -lstdc++ -lm
-CFLAGS   = -O
-CXXFLAGS = -O
+  LDLIBS=-lpng -lz -lstdc++ -lm
+  CFLAGS   = -O
+  CXXFLAGS = -O
 endif
 
 ifeq ($(OSTYPE),beos)
-LDLIBS=-lpng -lz -lstdc++
-CFLAGS=-O
-CXXFLAGS=-O
+  LDLIBS=-lpng -lz -lstdc++
+  CFLAGS=-O
+  CXXFLAGS=-O
+endif
 
+ifeq ($(OSTYPE),mac)
+  LDLIBS=-lpng -lz -lstdc++ -lm
+  CFLAGS=-O
+  CXXFLAGS=-O
 endif
 
 ifdef FLAGS

## simutrans 102.2.2~ds1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 -include $(CONFIG)
 
 
-BACKENDS      = allegro gdi sdl mixer_sdl x11
-COLOUR_DEPTHS = 8 16
-OSTYPES       = beos cygwin freebsd linux mingw mac
+BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
+COLOUR_DEPTHS = 0 8 16
+OSTYPES       = beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -25,38 +25,43 @@
 
 
 ifeq ($(OSTYPE),beos)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
+endif
+
+ifeq ($(OSTYPE),haiku)
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),freebsd)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mac)
   CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
   CXXFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),linux)
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
 endif
 
 
 ifeq ($(OSTYPE),cygwin)
   OS_INC   ?= -I/usr/include/mingw
   OS_OPT   ?= -mwin32
-  STD_LIBS ?= -lgdi32 -lwinmm -lz
+  STD_LIBS ?= -lgdi32 -lwinmm -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
+  CC ?= gcc
   SOURCES += simsys_w32_png.cc
   OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz
+  STD_LIBS ?= -lz -lbz2
   ifeq ($(BACKEND),gdi)
     STD_LIBS +=  -lunicows
   endif
-  STD_LIBS += -lmingw32 -lgdi32 -lwinmm
+  STD_LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -96,9 +101,9 @@
 endif
 
 ifneq ($(PROFILE),)
-  CFLAGS   += -pg
-  CXXFLAGS += -pg
-  LDFLAGS  += -pg
+  CFLAGS   += -pg -DPROFILE -fno-inline
+  CXXFLAGS += -pg -DPROFILE -fno-inline
+  LDFLAGS += -pg
 endif
 
 CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
@@ -168,6 +173,7 @@
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
 SOURCES += dataobj/marker.cc
+SOURCES += dataobj/network.cc
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
@@ -263,6 +269,8 @@
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/schedule_list.cc
+SOURCES += gui/settings_frame.cc
+SOURCES += gui/settings_stats.cc
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
@@ -405,6 +413,12 @@
   LIBS     += -L/usr/X11R6/lib/ -lX11 -lXext
 endif
 
+ifeq ($(BACKEND),posix)
+  SOURCES += simsys_posix.cc
+  SOURCES += music/no_midi.cc
+  SOURCES += sound/no_sound.cc
+endif
+
 
 ifneq ($(findstring $(OSTYPE), cygwin mingw),)
   SOURCES += simres.rc
@@ -419,5 +433,3 @@
 
 
 makeobj_prog:
-	$(MAKE) -e -C makeobj FLAGS="$(FLAGS)"
-

## simutrans 110.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 BACKENDS      = allegro gdi sdl mixer_sdl x11 posix
 COLOUR_DEPTHS = 0 8 16
-OSTYPES       = beos cygwin freebsd haiku linux mingw mac
+OSTYPES       = amiga beos cygwin freebsd haiku linux mingw mac
 
 ifeq ($(findstring $(BACKEND), $(BACKENDS)),)
   $(error Unkown BACKEND "$(BACKEND)", must be one of "$(BACKENDS)")
@@ -24,44 +24,54 @@
 endif
 
 
+ifeq ($(OSTYPE),amiga)
+  STD_LIBS ?= -lz -lbz2 -lunix -lpthread -lSDL_mixer -lsmpeg -lvorbisfile -lvorbis -logg
+  CFLAGS += -mcrt=newlib -DUSE_C -DBIG_ENDIAN -gstabs+
+  LDFLAGS += -Bstatic -non_shared
+endif
+
 ifeq ($(OSTYPE),beos)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lnet -lbz2
 endif
 
 ifeq ($(OSTYPE),haiku)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lnetwork -lbz2
 endif
 
 ifeq ($(OSTYPE),freebsd)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mac)
-  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
-  CXXFLAGS   += -DUSE_HW -DUSE_C
-  STD_LIBS ?= -lz -lbz2
+  CFLAGS  += -DUSE_HW
+  CCFLAGS += -Os -fast
+  LIBS    += -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),linux)
-  STD_LIBS ?= -lz -lbz2
+  LIBS += -lz -lbz2
 endif
 
 
 ifeq ($(OSTYPE),cygwin)
-  OS_INC   ?= -I/usr/include/mingw
-  OS_OPT   ?= -mwin32
-  STD_LIBS ?= -lgdi32 -lwinmm -lz -lbz2
+  CFLAGS += -I/usr/include/mingw -mwin32
+  LIBS   += -lgdi32 -lwinmm -lz -lbz2
 endif
 
 ifeq ($(OSTYPE),mingw)
   CC ?= gcc
   SOURCES += simsys_w32_png.cc
-  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
-  STD_LIBS ?= -lz -lbz2
+  CFLAGS  += -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
   ifeq ($(BACKEND),gdi)
-    STD_LIBS +=  -lunicows
-  endif
-  STD_LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32
+    LIBS += -lunicows
+  endif
+  LIBS += -lmingw32 -lgdi32 -lwinmm -lwsock32 -lz -lbz2
+endif
+
+ifeq ($(OSTYPE),mingw)
+  SOURCES += clipboard_w32.cc
+else
+  SOURCES += clipboard_internal.cc
 endif
 
 ALLEGRO_CONFIG ?= allegro-config
@@ -69,45 +79,44 @@
 
 
 ifneq ($(OPTIMISE),)
-  ifneq ($(PROFILE),)
-    CFLAGS   += -O3 -minline-all-stringops
-    CXXFLAGS += -O3
-  else
-    CFLAGS   += -O3 -fomit-frame-pointer
-    CXXFLAGS += -O3 -fomit-frame-pointer
-  endif
+    CFLAGS += -O3 -fno-schedule-insns
   ifneq ($(OSTYPE),mac)
-    CFLAGS   += -minline-all-stringops
-    LDFLAGS += -ffunctions-sections
+    ifneq ($(OSTYPE),haiku)
+      CFLAGS += -minline-all-stringops
+    endif
   endif
 else
-  CFLAGS   += -O
-  CXXFLAGS += -O
+  CFLAGS += -O
 endif
 
 ifdef DEBUG
   ifeq ($(shell expr $(DEBUG) \>= 1), 1)
-    CFLAGS   += -g -DDEBUG
-    CXXFLAGS += -g -DDEBUG
+    CFLAGS += -g -DDEBUG
   endif
   ifeq ($(shell expr $(DEBUG) \>= 2), 1)
-    CFLAGS   += -fno-inline
-    CXXFLAGS += -fno-inline
+    CFLAGS += -fno-inline
   endif
   ifeq ($(shell expr $(DEBUG) \>= 3), 1)
-    CFLAGS   += -O0
-    CXXFLAGS += -O0
-  endif
+    CFLAGS += -O0
+  endif
+else
+  CFLAGS += -DNDEBUG
 endif
 
 ifneq ($(PROFILE),)
-  CFLAGS   += -pg -DPROFILE -fno-inline
-  CXXFLAGS += -pg -DPROFILE -fno-inline
+  CFLAGS  += -pg -DPROFILE -fno-inline -fno-schedule-insns
   LDFLAGS += -pg
 endif
 
-CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
-CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)
+ifneq ($(WITH_REVISION),)
+  REV = $(shell svnversion)
+  ifneq ($(REV),)
+    CFLAGS  += -DREVISION="$(REV)"
+  endif
+endif
+
+CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(FLAGS)
+CCFLAGS  += -Wstrict-prototypes
 
 
 SOURCES += bauer/brueckenbauer.cc
@@ -119,8 +128,10 @@
 SOURCES += bauer/wegbauer.cc
 SOURCES += besch/bild_besch.cc
 SOURCES += besch/bruecke_besch.cc
+SOURCES += besch/fabrik_besch.cc
 SOURCES += besch/grund_besch.cc
 SOURCES += besch/haus_besch.cc
+SOURCES += besch/vehikel_besch.cc
 SOURCES += besch/reader/bridge_reader.cc
 SOURCES += besch/reader/building_reader.cc
 SOURCES += besch/reader/citycar_reader.cc
@@ -169,11 +180,17 @@
 SOURCES += dataobj/einstellungen.cc
 SOURCES += dataobj/fahrplan.cc
 SOURCES += dataobj/freelist.cc
+SOURCES += dataobj/gameinfo.cc
 SOURCES += dataobj/koord.cc
 SOURCES += dataobj/koord3d.cc
 SOURCES += dataobj/loadsave.cc
 SOURCES += dataobj/marker.cc
 SOURCES += dataobj/network.cc
+SOURCES += dataobj/network_cmd.cc
+SOURCES += dataobj/network_cmp_pakset.cc
+SOURCES += dataobj/network_packet.cc
+SOURCES += dataobj/network_socket_list.cc
+SOURCES += dataobj/pakset_info.cc
 SOURCES += dataobj/powernet.cc
 SOURCES += dataobj/ribi.cc
 SOURCES += dataobj/route.cc
@@ -209,6 +226,7 @@
 SOURCES += gui/components/gui_button.cc
 SOURCES += gui/components/gui_chart.cc
 SOURCES += gui/components/gui_combobox.cc
+SOURCES += gui/components/gui_fixedwidth_textarea.cc
 SOURCES += gui/components/gui_flowtext.cc
 SOURCES += gui/components/gui_image_list.cc
 SOURCES += gui/components/gui_label.cc
@@ -254,6 +272,7 @@
 SOURCES += gui/label_info.cc
 SOURCES += gui/labellist_frame_t.cc
 SOURCES += gui/labellist_stats_t.cc
+SOURCES += gui/line_item.cc
 SOURCES += gui/line_management_gui.cc
 SOURCES += gui/load_relief_frame.cc
 SOURCES += gui/loadsave_frame.cc
@@ -265,24 +284,28 @@
 SOURCES += gui/money_frame.cc
 SOURCES += gui/optionen.cc
 SOURCES += gui/pakselector.cc
+SOURCES += gui/password_frame.cc
 SOURCES += gui/player_frame_t.cc
 SOURCES += gui/savegame_frame.cc
 SOURCES += gui/scenario_frame.cc
 SOURCES += gui/schedule_list.cc
+SOURCES += gui/server_frame.cc
 SOURCES += gui/settings_frame.cc
 SOURCES += gui/settings_stats.cc
+SOURCES += gui/signal_spacing.cc
 SOURCES += gui/sound_frame.cc
 SOURCES += gui/sprachen.cc
 SOURCES += gui/stadt_info.cc
 SOURCES += gui/station_building_select.cc
 SOURCES += gui/thing_info.cc
+SOURCES += gui/trafficlight_info.cc
 SOURCES += gui/welt.cc
 SOURCES += gui/werkzeug_waehler.cc
+SOURCES += old_blockmanager.cc
 SOURCES += player/ai.cc
 SOURCES += player/ai_goods.cc
 SOURCES += player/ai_passenger.cc
 SOURCES += player/simplay.cc
-SOURCES += old_blockmanager.cc
 SOURCES += simcity.cc
 SOURCES += simconvoi.cc
 SOURCES += simdebug.cc
@@ -313,9 +336,11 @@
 SOURCES += tpl/debug_helper.cc
 SOURCES += unicode.cc
 SOURCES += utils/cbuffer_t.cc
-SOURCES += utils/cstring_t.cc
+SOURCES += utils/checksum.cc
 SOURCES += utils/log.cc
+SOURCES += utils/memory_rw.cc
 SOURCES += utils/searchfolder.cc
+SOURCES += utils/sha1.cc
 SOURCES += utils/simstring.cc
 SOURCES += vehicle/movingobj.cc
 SOURCES += vehicle/simpeople.cc
@@ -336,10 +361,8 @@
     ALLEGRO_CFLAGS  := $(shell $(ALLEGRO_CONFIG) --cflags)
     ALLEGRO_LDFLAGS := $(shell $(ALLEGRO_CONFIG) --libs)
   endif
-  ALLEGRO_CFLAGS    += -DUSE_SOFTPOINTER
-  CFLAGS   += $(ALLEGRO_CFLAGS)
-  CXXFLAGS += $(ALLEGRO_CFLAGS)
-  LIBS     += $(ALLEGRO_LDFLAGS)
+  CFLAGS += $(ALLEGRO_CFLAGS) -DUSE_SOFTPOINTER
+  LIBS   += $(ALLEGRO_LDFLAGS)
 endif
 
 
@@ -351,13 +374,13 @@
 
 
 ifeq ($(BACKEND),sdl)
-  SOURCES  += simsys_s.cc
-  CFLAGS   += -DUSE_16BIT_DIB
-  CXXFLAGS += -DUSE_16BIT_DIB
+  SOURCES += simsys_s.cc
+  CFLAGS  += -DUSE_16BIT_DIB
   ifeq ($(OSTYPE),mac)
     # Core Audio (Quicktime) base sound system routines
     SOURCES += sound/core-audio_sound.mm
     SOURCES += music/core-audio_midi.mm
+    LIBS    += -framework Foundation -framework QTKit
   else
     SOURCES  += sound/sdl_sound.cc
     ifeq ($(findstring $(OSTYPE), cygwin mingw),)
@@ -379,18 +402,16 @@
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
   endif
 
-  CFLAGS   += $(SDL_CFLAGS)
-  CXXFLAGS += $(SDL_CFLAGS)
-  LIBS     += $(SDL_LDFLAGS)
+  CFLAGS += $(SDL_CFLAGS)
+  LIBS   += $(SDL_LDFLAGS)
 endif
 
 
 ifeq ($(BACKEND),mixer_sdl)
-  SOURCES  += simsys_s.cc
+  SOURCES += simsys_s.cc
   SOURCES += sound/sdl_mixer_sound.cc
   SOURCES += music/sdl_midi.cc
-  CFLAGS   += -DUSE_16BIT_DIB
-  CXXFLAGS   += -DUSE_16BIT_DIB
+  CFLAGS  += -DUSE_16BIT_DIB
   ifeq ($(SDL_CONFIG),)
     SDL_CFLAGS  := -I$(MINGDIR)/include/SDL -Dmain=SDL_main
     SDL_LDFLAGS := -lmingw32 -lSDLmain -lSDL -mwindows
@@ -398,38 +419,10 @@
     SDL_CFLAGS  := $(shell $(SDL_CONFIG) --cflags)
     SDL_LDFLAGS := $(shell $(SDL_CONFIG) --libs)
   endif
-  CFLAGS   += $(SDL_CFLAGS)
-  CXXFLAGS += $(SDL_CFLAGS)
-  LIBS     += $(SDL_LDFLAGS)
-  LIBS     += -lSDL_mixer
+  CFLAGS += $(SDL_CFLAGS)
+  LIBS   += $(SDL_LDFLAGS) -lSDL_mixer
 endif
 
 ifeq ($(BACKEND),x11)
   SOURCES  += simsys_x$(COLOUR_DEPTH).c
   SOURCES += sound/no_sound.cc
-  SOURCES += music/no_midi.cc
-  CFLAGS   += -I/usr/X11R6/include
-  CXXFLAGS += -I/usr/X11R6/include
-  LIBS     += -L/usr/X11R6/lib/ -lX11 -lXext
-endif
-
-ifeq ($(BACKEND),posix)
-  SOURCES += simsys_posix.cc
-  SOURCES += music/no_midi.cc
-  SOURCES += sound/no_sound.cc
-endif
-
-
-ifneq ($(findstring $(OSTYPE), cygwin mingw),)
-  SOURCES += simres.rc
-  WINDRES ?= windres
-endif
-
-
-PROG ?= sim
-
-
-include common.mk
-
-
-makeobj_prog:

=== debian/changelog ===
simutrans (110.0-3) unstable; urgency=low

  * Apply upstream patches to fix crash on resize.
    New patches: 0001-FIX-crashes-with-window-resizing-under-SDL.patch,
    0002-Code-treat-SYSTEM_RESIZE-event-separate-from-other-e.patch.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Feb 2011 16:47:49 +0100

simutrans (110.0-2) unstable; urgency=low

  * Do not use compiler flags specific to i386 and amd64. (Closes: #613962)
  * Use dpkg-buildflags to set compiler flags.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 18 Feb 2011 17:52:11 +0100

simutrans (110.0-1) unstable; urgency=low

  * New upstream release.
    + Improved wording of license information. (Closes: #590734)
    + No longer shortens large money amounts. (Closes: #576440)
    + No longer claims land is owned by another player when building tram
      tracks on a road with a vehicle on it. (Closes: #609938)
    + Passengers now get routed correctly. (Closes: #593536)
    + Adds option to use 12am/pm instead of 0am/pm. (Closes: #590834)
  * Adapt debian/rules and patches for new upstream release.
  * Add replacement for non-free SHA-1 implementation.
    + new patch: sha1-replacement.diff
  * Link less libraries into makeobj.
    + new patch: link-less-libraries.diff
  * debian/copyright: Add copyright information for utils/dr_rdgif.c.
  * Use source format 3.0 (quilt).
  * debian/control: Remove DM-Upload-Allowed.
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 16 Feb 2011 23:58:13 +0100

simutrans (102.2.2~ds1-1) unstable; urgency=low

  * New upstream release.
    + debian/rules: Update get-orig-source target.
    + debian/control: Add build-dep on libbz2-dev.
    + debian/control: Bump dependency on simutrans-pak64 to 102.2.1.
      See also #565493.
    + Refresh patches.
  * Update translations.
    + debian/rules: Update list of excluded languages.
  * Correct spelling errors.
    + new patch: spelling.patch
  * Bump Standards-Version to 3.8.4 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 12 Mar 2010 09:23:35 +0900

simutrans (102.2.1~ds1-1) unstable; urgency=low

  * New upstream release.
    + Allows waypoints for tram on city roads again. (Closes: #555924)
    + Refresh patches.
    + Update translations.
  * debian/watch: Update Debian version mangling.
  * Do not use "Artistic" as short name for the license. (Closes: #524732)
  * Use SDL Mixer backend to enable MIDI playback.
    (Closes: #552564) (LP: #424404)
    + MIDI playback needs a patch set, so suggest the "freepats" package.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 29 Dec 2009 00:22:27 +0900

simutrans (102.2+svn2786-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update translations.
  * debian/rules: Add get-orig-source target.
  * debian/rules: Add update-translations target.
  * debian/README.source: Document get-orig-source and update-translations
    targets.
  * Bump Standards-Version to 3.8.3 (no changes).

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Oct 2009 15:29:14 +0900

simutrans (102.0-1) unstable; urgency=low

  * New upstream release.
    + Refresh patches.
    + Update translations.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 06 Mar 2009 20:40:03 +0100

simutrans (101.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 13:41:25 -0500

simutrans (101.0-1) experimental; urgency=low

  * New upstream release.
    + Update translations.
  * Require latest version of simutrans-pak64 (101.0).
  * Refresh patches, remove those applied upstream.
  * debian/rules: Add `-alpha on' when using convert to preserve transparency.
  * debian/simutrans.desktop: Add Icon key (LP: #314093).
  * Add patch revert-svn-1937.diff to continue using ~/.simutrans for
    savegames.  Document this in README.Debian.
  * debian/copyright: Add additional copyright holders, move license text to
    its own section.

 -- Ansgar Burchardt <ansgar@43-1.org>  Sun, 18 Jan 2009 19:46:52 +0100

simutrans (100.0+ds1-4) unstable; urgency=low

  * debian/rules: Remove `configure' target
  * debian/control: Add `Depends: ${misc:Depends}' for simutrans-data
    and simutrans-makeobj.
  * Apply upstream fix for power-bridges on vertical slopes
    (Closes: #507307)

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 15 Dec 2008 00:07:29 +0100

simutrans (100.0+ds1-3) unstable; urgency=low

  * config.diff: Use <endian.h> header to detect endianness
    (thanks to Peter De Wachter)
  * debian/watch: Remove "+ds1" from Debian version number
  * Omit translations for be (Belaruskaja), cn (Sim. Chinese), id (Bahasa),
    no (Norsk) because they are very incomplete or otherwise broken
    (Closes: #481266)
  * Fix makeobj portability issues (Closes: #493409)
    + 01_png.patch: png_uint_32 might actually be 64bit on some archs
      (thanks to Peter Green)
    + 02_makeobj_fixes.patch, 03_makeobj_cleanup.patch: Add proper
      serialization code instead of dumping in-memory objects
      (thanks to Peter De Wachter)

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 19 Aug 2008 00:06:30 +0200

simutrans (100.0+ds1-2) unstable; urgency=low

  * Remove cast from `const char*' to `int' in simconvoi.cc
    + new patch fix_casts.diff

 -- Ansgar Burchardt <ansgar@43-1.org>  Wed, 02 Jul 2008 19:00:03 +0200

simutrans (100.0+ds1-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * New Upstream release
    + makeobj works on big-endian archs (Closes: #472326)
    + fix crash when calling 'makeobj dump' (Closes: #473245)
    + fix crash if starting_year is setto a low value
      and crash in simcity.cc(stadt_t::gib_zufallspunkt)
      (Closes: #481264)
  * Repackage source
    + Upstream relicensed simsys.h, sound/no_sound.cc under a free license
  * Add debuging symbols to makeobj
  * Link makeobj with g++ instead of ld (should fix build on mipsel)
  * Use debhelper 7 to clean up debian/rules


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for simutrans

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export VERBOSE  = 1

export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

build: build-stamp
build-stamp:
	dh build
	$(MAKE) -C makeobj makeobj

	convert simutrans.ico -alpha on debian/simutrans.xpm

	mkdir skin
	./makeobj/makeobj pak ./skin/ ./skins.src/

	touch $@

# `make clean' will fail if there is no config.default, so make sure
# we have one
clean:
	dh_testdir

	$(MAKE) clean
	$(MAKE) -C makeobj clean
	$(RM) -r skin

	dh_clean

# These languages will be excluded
BROKEN_LANG = ce cn id tr

install: build
	dh install --before dh_installchangelogs
	dh_installchangelogs simutrans/history.txt
	dh install --remaining

	#$(MAKE) DESTDIR=$(CURDIR)/debian/simutrans install
	install -m 644 debian/simutrans.xpm $(CURDIR)/debian/simutrans/usr/share/pixmaps
	install -m 644 debian/simutrans.desktop $(CURDIR)/debian/simutrans/usr/share/applications

	install sim $(CURDIR)/debian/simutrans/usr/games/simutrans

	install -m 644 simutrans/config/simuconf.tab $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/config
	install -m 644 simutrans/font/* $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/font
	install -m 644 simutrans/music/*.tab $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/music
	install -m 644 simutrans/music/*.mid $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/music
	install -m 644 debian/translations/*.tab $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/text
	for lang in $(BROKEN_LANG); do \
	  $(RM) $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/text/$$lang.tab ; \
	done
	for lang in cz de dk en es fr hu it ja nl pl pt ro ru sk ; do \
	  install -m 644 simutrans/text/$$lang/*.txt $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/text/$$lang ; \
	done
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/simutrans-data/usr/share/games/simutrans/text/zh

	install -m 755 makeobj/makeobj $(CURDIR)/debian/simutrans-makeobj/usr/games/makeobj

# Build architecture-independent files here.
binary-indep: build install
	dh binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

# SVN revision and package version to use when building .orig.tar.gz
SVNREV  = 4303
VERSION = 110.0
SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk

get-orig-source:
	svn export --username anon --password "" -r $(SVNREV) $(SVNROOT) simutrans-$(VERSION)

	# source is skins.src/*, only removed to make sure we rebuild it.
	$(RM) simutrans-$(VERSION)/simutrans/skin/menu.WindowSkin.pak
	# freeware, cf. http://www.packetizer.com/security/sha1/ [2011-02-15]
	$(RM) simutrans-$(VERSION)/utils/sha1.cc simutrans-$(VERSION)/utils/sha1.h

	tar c simutrans-$(VERSION) | gzip -9 >simutrans_$(VERSION).orig.tar.gz
	$(RM) -r simutrans-$(VERSION)

update-translations:
	dh_testdir
	wget --post-data "version=0&choice=all&submit=Export!" --delete-after "http://simutrans-germany.com/translator/script/main.php?page=wrap"
	wget -N http://simutrans-germany.com/translator/data/tab/language_pack-Base+texts.zip
	unzip -o -d debian/translations language_pack-Base+texts.zip "*.tab"
	$(RM) language_pack-Base+texts.zip

## simutrans 110.0.1

=== Makefile ===
--- 
+++ 
@@ -188,6 +188,7 @@
 SOURCES += dataobj/network.cc
 SOURCES += dataobj/network_cmd.cc
 SOURCES += dataobj/network_cmp_pakset.cc
+SOURCES += dataobj/network_file_transfer.cc
 SOURCES += dataobj/network_packet.cc
 SOURCES += dataobj/network_socket_list.cc
 SOURCES += dataobj/pakset_info.cc
@@ -425,4 +426,3 @@
 
 ifeq ($(BACKEND),x11)
   SOURCES  += simsys_x$(COLOUR_DEPTH).c
-  SOURCES += sound/no_sound.cc

=== makeobj/Makefile ===
CONFIG ?= ../config.default
-include $(CONFIG)

OSTYPES       = beos cygwin freebsd haiku linux mingw mac

ifeq ($(findstring $(OSTYPE), $(OSTYPES)),)
  $(error Unkown OSTYPE "$(OSTYPE)", must be one of "$(OSTYPES)")
endif

PNG_CONFIG ?= pkg-config libpng

ifneq ($(PNG_CONFIG),)
	PNG_CFLAGS  := $(shell $(PNG_CONFIG) --cflags)
	PNG_LDFLAGS := $(shell $(PNG_CONFIG) --libs)
endif

CFLAGS  += $(PNG_CFLAGS)
LDFLAGS += $(PNG_LDFLAGS)

# Absolutely essential
CFLAGS += -DMAKEOBJ
CXXFLAGS += -DMAKEOBJ

STD_LIBS += -lz -lbz2 -lpng -lm

ifeq ($(OSTYPE),cygwin)
  OS_INC   ?= -I/usr/include/mingw
  OS_OPT   ?= -mwin32
  STD_LIBS += -lwinmm
endif

ifeq ($(OSTYPE),mingw)
  CC ?= gcc
  OS_OPT   ?= -mno-cygwin -DPNG_STATIC -DZLIB_STATIC -march=pentium
  # we need the libraries EXACTLY in this order to link
  STD_LIBS = -lmingw32 -lpng -lz -lstdc++
endif

ifeq ($(OSTYPE),mac)
  CFLAGS   += -DUSE_HW -DUSE_C  -Os -fast
  CXXFLAGS   += -DUSE_HW -DUSE_C
endif

ifneq ($(OPTIMISE),)
  CFLAGS   += -O3 -fno-schedule-insns
  CXXFLAGS += -O3 -fno-schedule-insns
  ifneq ($(OSTYPE),mac)
    CFLAGS  += -minline-all-stringops
  endif
else
  CFLAGS   += -O
  CXXFLAGS += -O
endif

ifdef DEBUG
  ifeq ($(shell expr $(DEBUG) \>= 1), 1)
    CFLAGS   += -g -DDEBUG
    CXXFLAGS += -g -DDEBUG
  endif
  ifeq ($(shell expr $(DEBUG) \>= 2), 1)
    CFLAGS   += -fno-inline
    CXXFLAGS += -fno-inline
  endif
  ifeq ($(shell expr $(DEBUG) \>= 3), 1)
    CFLAGS   += -O0
    CXXFLAGS += -O0
  endif
else
  CFLAGS += -DNDEBUG
  CXXFLAGS += -DNDEBUG
endif

ifneq ($(PROFILE),)
  CFLAGS   += -pg -DPROFILE -fno-inline
  CXXFLAGS += -pg -DPROFILE -fno-inline
  LDFLAGS += -pg
endif

CFLAGS   += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -Wstrict-prototypes $(OS_INC) $(OS_OPT) $(FLAGS)
CXXFLAGS += -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align $(OS_INC) $(OS_OPT) $(FLAGS)

# SOLO_SOURCES contains files which are unique to makeobj;
# SHARED_SOURCES contains those with the exact same object code in makeobj and simutrans;
# VARIANT_SOURCES contains those which need different .o files for makeobj and simutrans.
# At the moment they're all treated identically, of course.
SOLO_SOURCES += makeobj.cc
SOLO_SOURCES += ../besch/writer/bridge_writer.cc
SOLO_SOURCES += ../besch/writer/building_writer.cc
SOLO_SOURCES += ../besch/writer/citycar_writer.cc
SOLO_SOURCES += ../besch/writer/crossing_writer.cc
SOLO_SOURCES += ../besch/writer/factory_writer.cc
SOLO_SOURCES += ../besch/writer/get_climate.cc
SOLO_SOURCES += ../besch/writer/get_waytype.cc
SOLO_SOURCES += ../besch/writer/good_writer.cc
SOLO_SOURCES += ../besch/writer/groundobj_writer.cc
SOLO_SOURCES += ../besch/writer/ground_writer.cc
SOLO_SOURCES += ../besch/writer/image_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist2d_writer.cc
SOLO_SOURCES += ../besch/writer/imagelist_writer.cc
SOLO_SOURCES += ../besch/writer/obj_node.cc
SOLO_SOURCES += ../besch/writer/obj_writer.cc
SOLO_SOURCES += ../besch/writer/pedestrian_writer.cc
SOLO_SOURCES += ../besch/writer/roadsign_writer.cc
SOLO_SOURCES += ../besch/writer/root_writer.cc
SOLO_SOURCES += ../besch/writer/sim_writer.cc
SOLO_SOURCES += ../besch/writer/skin_writer.cc
SOLO_SOURCES += ../besch/writer/sound_writer.cc
SOLO_SOURCES += ../besch/writer/text_writer.cc
SOLO_SOURCES += ../besch/writer/tree_writer.cc
SOLO_SOURCES += ../besch/writer/tunnel_writer.cc
SOLO_SOURCES += ../besch/writer/vehicle_writer.cc
SOLO_SOURCES += ../besch/writer/way_writer.cc
SOLO_SOURCES += ../besch/writer/way_obj_writer.cc
SOLO_SOURCES += ../besch/writer/xref_writer.cc
SOLO_SOURCES += ../utils/dr_rdpng.cc
SHARED_SOURCES += ../dataobj/freelist.cc
SHARED_SOURCES += ../dataobj/tabfile.cc
SHARED_SOURCES += ../simdebug.cc
SHARED_SOURCES += ../simmem.cc
SHARED_SOURCES += ../tpl/debug_helper.cc
SHARED_SOURCES += ../utils/simstring.cc
SHARED_SOURCES += ../utils/searchfolder.cc
VARIANT_SOURCES += ../simtools.cc
VARIANT_SOURCES += ../utils/log.cc

SOURCES ?= $(SOLO_SOURCES) $(SHARED_SOURCES) $(VARIANT_SOURCES)

PROG ?= makeobj

include uncommon.mk

=== debian/changelog ===
simutrans (110.0.1-3) unstable; urgency=low

  * Fix compiling with gcc-4.6. (Closes: #625058)
    + new patch: 0001-jspaces-fix-compiling-with-gcc-4.6.0.patch
  * Make the build process more verbose.
  * Use hardening flags from hardening-includes.
  * Extend txt_convoi_count and txt_convoi_value. (LP: #760999)
    + new patch: 0001-Extend-txt_convoi_count.patch
    + new patch: extend-txt_convoi_value.patch
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 06 May 2011 00:04:47 +0200

simutrans (110.0.1-2) unstable; urgency=low

  * Add changes upstream decided to add after uploading the first time.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 14 Mar 2011 20:25:13 +0100

simutrans (110.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove backported patches introduced in 110.0-3.
  * debian/rules: Update get-orig-source for new upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 11 Mar 2011 11:30:50 +0100

=== debian/control ===
Source: simutrans
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Clint Adams <clint@gnu.org>
Build-Depends: debhelper (>= 7), libsdl1.2-dev, libsdl-mixer1.2-dev, zlib1g-dev, imagemagick, libpng12-dev, libbz2-dev, libssl-dev, dpkg (>= 1.15.7), hardening-includes
Standards-Version: 3.9.2
Homepage: http://www.simutrans.com/
Vcs-Git: git://git.debian.org/git/pkg-games/simutrans.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/simutrans.git

Package: simutrans
Architecture: any
Depends: simutrans-pak64 (>= 102.2.1), simutrans-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: freepats
Description: transportation simulator
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.

Package: simutrans-data
Architecture: all
Depends: ${misc:Depends}
Description: transportation simulator (base data)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the base data.

Package: simutrans-makeobj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data file compiler for Simutrans
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the makeobj program needed to integrate new objects
 in Simutrans.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
+
+include /usr/share/hardening-includes/hardening.make
+CFLAGS   += $(HARDENING_CFLAGS)
+CXXFLAGS += $(HARDENING_CFLAGS)
+LDFLAGS  += $(HARDENING_LDFLAGS)
 
 build: build-stamp
 build-stamp:
@@ -74,8 +79,8 @@
 .PHONY: build clean binary-indep binary-arch binary install configure
 
 # SVN revision and package version to use when building .orig.tar.gz
-SVNREV  = 4303
-VERSION = 110.0
+SVNREV  = 4356
+VERSION = 110.0.1
 SVNROOT = svn://tron.homeunix.org/simutrans/simutrans/trunk
 
 get-orig-source:
